Bug 1198586 - [RFE] Package/include oauth credentials when creating certs tar for capsule
Summary: [RFE] Package/include oauth credentials when creating certs tar for capsule
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-04 12:49 UTC by Corey Welton
Modified: 2018-06-22 14:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-22 14:43:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17739 0 Normal New Package/include oauth credentials when creating certs tar for capsule 2020-08-28 15:11:40 UTC

Description Corey Welton 2015-03-04 12:49:55 UTC
When a user installs the ca-cert file from /pub on a satellite, part of what it does is go ahead and update rhsm.conf with the appropriate settings for eventual registration of client to satellite.  This is very convenient.

We should have a similar analogue when creating/using the certs tar.  

Pressently, after running `capsule-certs-generate` on Satellite, user is given a very long (and not easily pasteable) `capsule-installer` and associated string of flags, which includes various oauth keys/secrets parsed from locations across a sat6 install.

The RFE here is to  package the oauth credentials into the certs.tar and store it somewhere that can be retrieved during install. Just as we prepopulate rhsm.conf when doing katello ca cert, it seems it would be similarly useful to prepopulate this oauth stuff somewhere else, so user doesn't have to manually input on an install attempt.

Less stuff entered at install time = less room for error.

Comment 1 Bryan Kearney 2016-07-08 20:32:23 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 3 Stephen Benjamin 2016-12-19 15:17:35 UTC
Created redmine issue http://projects.theforeman.org/issues/17739 from this bug


Note You need to log in before you can comment on or make changes to this bug.